loci.formats.in

## Class SlideBook7Reader.CFRETManipRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CFRETManipRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CFRETManipRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Integer` | `mDarkValue`
    `java.lang.Float` | `mDisplayHigh`
    `java.lang.Float` | `mDisplayLow`
    `java.lang.Integer` | `mDisplayNormalization`
    `java.lang.Float` | `mDonor1Lifetime`
    `java.lang.Float` | `mDonor1X`
    `java.lang.Float` | `mDonor1Y`
    `java.lang.Float` | `mDonor2Lifetime`
    `java.lang.Float` | `mFaAa`
    `java.lang.Float` | `mFdDd`
    `java.lang.Float` | `mFRETAddParameter`
    `java.lang.Integer` | `mFRETMethod`
    `java.lang.Integer` | `mFRETParadigm`
    `java.lang.Float` | `mMainFrequency`
    `java.lang.Integer` | `mManipID`
    `java.lang.Boolean` | `mModulationFlatFieldCorrected`
    `java.lang.Float` | `mModZero`
    `java.lang.Integer` | `mNumPhases`
    `java.lang.Boolean` | `mPhaseFlatFieldCorrected`
    `java.lang.Float` | `mPhaseZero`
    `java.lang.Float` | `mSignalThreshold`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`
    `java.lang.Float` | `mTwoLifetimeRatio`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFRETManipRecord70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mManipID

          public java.lang.Integer mManipID

    - #### mFRETParadigm

          public java.lang.Integer mFRETParadigm

    - #### mFdDd

          public java.lang.Float mFdDd

    - #### mFaAa

          public java.lang.Float mFaAa

    - #### mDisplayLow

          public java.lang.Float mDisplayLow

    - #### mDisplayHigh

          public java.lang.Float mDisplayHigh

    - #### mDisplayNormalization

          public java.lang.Integer mDisplayNormalization

    - #### mSignalThreshold

          public java.lang.Float mSignalThreshold

    - #### mPhaseZero

          public java.lang.Float mPhaseZero

    - #### mModZero

          public java.lang.Float mModZero

    - #### mDonor1Lifetime

          public java.lang.Float mDonor1Lifetime

    - #### mDonor1X

          public java.lang.Float mDonor1X

    - #### mDonor1Y

          public java.lang.Float mDonor1Y

    - #### mDonor2Lifetime

          public java.lang.Float mDonor2Lifetime

    - #### mTwoLifetimeRatio

          public java.lang.Float mTwoLifetimeRatio

    - #### mMainFrequency

          public java.lang.Float mMainFrequency

    - #### mPhaseFlatFieldCorrected

          public java.lang.Boolean mPhaseFlatFieldCorrected

    - #### mModulationFlatFieldCorrected

          public java.lang.Boolean mModulationFlatFieldCorrected

    - #### mNumPhases

          public java.lang.Integer mNumPhases

    - #### mDarkValue

          public java.lang.Integer mDarkValue

    - #### mFRETMethod

          public java.lang.Integer mFRETMethod

    - #### mFRETAddParameter

          public java.lang.Float mFRETAddParameter

  - ### Constructor Detail

    - #### CFRETManipRecord70

          CFRETManipRecord70()

Copyright © 2026 Open Microscopy Environment